function r0=fram_threPb_1d(r,mu)
%soft thresholding of a one-layer cell array
[vr, hr]=size(r);
r0=cell(vr,hr);

for vv=1:vr
for hh=1:hr
x=r{vv,hh};
r0{vv,hh}=t_mu(x,mu);
end
end 


function k=t_mu(w,mu)

r=mu*ones(size(w));
s=sign(w);
aw=abs(w);
k=(aw-r).*s;
k=k.*(aw>mu);
 
 